net.i2p.router.transport.udp

## Interface ACKBitfield

-     interface ACKBitfield

  Generic means of SACK/NACK transmission for partially or fully received messages

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `fragmentCount()` how many fragments are covered in this bitfield?
    `long` | `getMessageId()` what message is this partially ACKing?
    `boolean` | `received(int fragmentNum)` has the given fragment been received?
    `boolean` | `receivedComplete()` has the entire message been received completely?

- - ### Method Detail

    - #### getMessageId

          long getMessageId()

      what message is this partially ACKing?

    - #### fragmentCount

          int fragmentCount()

      how many fragments are covered in this bitfield?

    - #### received

          boolean received(int fragmentNum)

      has the given fragment been received?

    - #### receivedComplete

          boolean receivedComplete()

      has the entire message been received completely?